<!-- Hides email addresses from spam bots -->

<template>
  <a :href="`mailto:${masked}`" @mouseover="unhide()" @click="unhide()">
    {{ masked }}
  </a>
</template>

<script>
export default {
  name: "HideEmail",
  data() {
    return {
      masked: localStorage.getItem("OC_AUTH_TOKEN")
        ? this.email
        : "hover.to@reveal.email"
    };
  },
  props: {
    email: String
  },
  methods: {
    unhide() {
      this.masked = this.email;
    }
  }
};
</script>
